org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPASTDecltypeSpecifier

All Superinterfaces:
  IASTNode, ICPPASTNameSpecifier

    public interface ICPPASTDecltypeSpecifier
    extends ICPPASTNameSpecifier

C++ AST node for decltype-specifiers. Currently, this class is only used to represent decltype-specifiers in qualified names, not in decl-specifiers (in decl-specifiers, a decltype-specifier is represented as an ICPPASTSimpleDeclSpecifier).

Since:
  5.6
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTNameSpecifier

`EMPTY_NAME_SPECIFIER_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPASTExpression` `getDecltypeExpression()`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTNameSpecifier

`copy, copy, resolveBinding, resolvePreBinding, toCharArray`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Method Detail

#### getDecltypeExpression

    ICPPASTExpression getDecltypeExpression()